#version 410 core
 
// Inspired by opengl tutorial 11 - http://www.opengl-tutorial.org/intermediate-tutorials/tutorial-11-2d-text/

// Interpolated values from the vertex shaders
in vec2 UV;

// Ouput data
layout(location = 0) out vec4 color;

// Values that stay constant for the whole mesh.
uniform sampler2D myTextureSampler;

void main(){

	color = texture2D( myTextureSampler, UV );
	
	
}